<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__sd__host__write__read__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_sd_host_write_read_config_t</compoundname>
    <includes local="no">cy_sd_host.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__sd__host__write__read__config__t_1af2db79e86da5f8aad3b0f9c8f5809968" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t *</type>
        <definition>uint32_t* cy_stc_sd_host_write_read_config_t::data</definition>
        <argsstring />
        <name>data</name>
        <briefdescription>
<para>The pointer to data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1605" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1605" />
      </memberdef>
      <memberdef id="structcy__stc__sd__host__write__read__config__t_1abf986be07c8a00aa8e5394bf8f07f75b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sd_host_write_read_config_t::address</definition>
        <argsstring />
        <name>address</name>
        <briefdescription>
<para>The address to Write/Read data on the card or eMMC. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1606" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1606" />
      </memberdef>
      <memberdef id="structcy__stc__sd__host__write__read__config__t_1afb2db28564aeaba887f381418f712af5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sd_host_write_read_config_t::numberOfBlocks</definition>
        <argsstring />
        <name>numberOfBlocks</name>
        <briefdescription>
<para>The number of blocks to Write/Read. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1607" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1607" />
      </memberdef>
      <memberdef id="structcy__stc__sd__host__write__read__config__t_1ad3deb9b66da477a4db770342d9c53a6c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1ga6d2439309c4364371d8384781c5c8ba1">cy_en_sd_host_auto_cmd_t</ref></type>
        <definition>cy_en_sd_host_auto_cmd_t cy_stc_sd_host_write_read_config_t::autoCommand</definition>
        <argsstring />
        <name>autoCommand</name>
        <briefdescription>
<para>Selects which auto commands are used if any. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1608" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1608" />
      </memberdef>
      <memberdef id="structcy__stc__sd__host__write__read__config__t_1a2ea0bb37933eee1d464ede9550f78f06" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sd_host_write_read_config_t::dataTimeout</definition>
        <argsstring />
        <name>dataTimeout</name>
        <briefdescription>
<para>The timeout value for the transfer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1609" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1609" />
      </memberdef>
      <memberdef id="structcy__stc__sd__host__write__read__config__t_1a7b4f7370439a96123843e4b1433672b6" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_sd_host_write_read_config_t::enReliableWrite</definition>
        <argsstring />
        <name>enReliableWrite</name>
        <briefdescription>
<para>For EMMC cards, enables the reliable write. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1610" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1610" />
      </memberdef>
      <memberdef id="structcy__stc__sd__host__write__read__config__t_1abe4883ca2cfbcc2a2ffe01ad99bd4f99" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_sd_host_write_read_config_t::enableDma</definition>
        <argsstring />
        <name>enableDma</name>
        <briefdescription>
<para>Enables DMA for the transaction. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1611" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1611" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>SD Host Write/Read structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="1612" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1603" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1604" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__sd__host__write__read__config__t_1abf986be07c8a00aa8e5394bf8f07f75b" virt="non-virtual"><scope>cy_stc_sd_host_write_read_config_t</scope><name>address</name></member>
      <member prot="public" refid="structcy__stc__sd__host__write__read__config__t_1ad3deb9b66da477a4db770342d9c53a6c" virt="non-virtual"><scope>cy_stc_sd_host_write_read_config_t</scope><name>autoCommand</name></member>
      <member prot="public" refid="structcy__stc__sd__host__write__read__config__t_1af2db79e86da5f8aad3b0f9c8f5809968" virt="non-virtual"><scope>cy_stc_sd_host_write_read_config_t</scope><name>data</name></member>
      <member prot="public" refid="structcy__stc__sd__host__write__read__config__t_1a2ea0bb37933eee1d464ede9550f78f06" virt="non-virtual"><scope>cy_stc_sd_host_write_read_config_t</scope><name>dataTimeout</name></member>
      <member prot="public" refid="structcy__stc__sd__host__write__read__config__t_1abe4883ca2cfbcc2a2ffe01ad99bd4f99" virt="non-virtual"><scope>cy_stc_sd_host_write_read_config_t</scope><name>enableDma</name></member>
      <member prot="public" refid="structcy__stc__sd__host__write__read__config__t_1a7b4f7370439a96123843e4b1433672b6" virt="non-virtual"><scope>cy_stc_sd_host_write_read_config_t</scope><name>enReliableWrite</name></member>
      <member prot="public" refid="structcy__stc__sd__host__write__read__config__t_1afb2db28564aeaba887f381418f712af5" virt="non-virtual"><scope>cy_stc_sd_host_write_read_config_t</scope><name>numberOfBlocks</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>